Project

General

Profile

Bug #1090

LTTng modules not working after installing stable PPA

Added by Bernd Hufmann about 3 years ago. Updated about 3 years ago.

Status:
Resolved
Priority:
Normal
Target version:
Start date:
02/24/2017
Due date:
% Done:

0%

Estimated time:

Description

Hi,

After installing the package lttng-modules-dkms from the stable PPA for Ubuntu trusty, the kernel tracer is not available when running lttng-list -k. The installing seems to be successful. The root lttng-sessiond is running.

However, looking at the console print-out (see below) it seems that there was an error: "Error! Build of lttng-probe-i2c.ko failed for: 3.13.0-57-generic (x86_64)". Not sure if this is related. I attached the make.log.

The directory for the modules (/lib/modules/3.13.0-57-generic/updates/dkms) doesn't have any lttng modules installed.

Could someone please look into this?

Thanks
Bernd

$ sudo apt-get install lttng-tools lttng-modules-dkms
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
liblttng-ctl0 liblttng-ust-ctl2 liburcu4
The following NEW packages will be installed:
liblttng-ctl0 liblttng-ust-ctl2 liburcu4 lttng-modules-dkms lttng-tools
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,017 kB of archives.
After this operation, 5,969 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Selecting previously unselected package liburcu4:amd64.
(Reading database ... 282824 files and directories currently installed.)
Preparing to unpack .../liburcu4_0.9.x+stable+bzr1192+pack30+201612060302~ubuntu14.04.1_amd64.deb ...
Unpacking liburcu4:amd64 (0.9.x+stable+bzr1192+pack30+201612060302~ubuntu14.04.1) ...
Selecting previously unselected package liblttng-ctl0:amd64.
Preparing to unpack .../liblttng-ctl0_2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1_amd64.deb ...
Unpacking liblttng-ctl0:amd64 (2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1) ...
Selecting previously unselected package liblttng-ust-ctl2:amd64.
Preparing to unpack .../liblttng-ust-ctl2_2.9.x+stable+bzr2192+pack68+201702230201~ubuntu14.04.1_amd64.deb ...
Unpacking liblttng-ust-ctl2:amd64 (2.9.x+stable+bzr2192+pack68+201702230201~ubuntu14.04.1) ...
Selecting previously unselected package lttng-modules-dkms.
Preparing to unpack .../lttng-modules-dkms_2.9.x+stable+bzr988+pack39+201702142246~ubuntu14.04.1_all.deb ...
Unpacking lttng-modules-dkms (2.9.x+stable+bzr988+pack39+201702142246~ubuntu14.04.1) ...
Selecting previously unselected package lttng-tools.
Preparing to unpack .../lttng-tools_2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1_amd64.deb ...
Unpacking lttng-tools (2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for ureadahead (0.100.0-16) ...
Setting up liburcu4:amd64 (0.9.x+stable+bzr1192+pack30+201612060302~ubuntu14.04.1) ...
Setting up liblttng-ctl0:amd64 (2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1) ...
Setting up liblttng-ust-ctl2:amd64 (2.9.x+stable+bzr2192+pack68+201702230201~ubuntu14.04.1) ...
Setting up lttng-modules-dkms (2.9.x+stable+bzr988+pack39+201702142246~ubuntu14.04.1) ...
Loading new lttng-modules-2.9.x+stable+bzr988+pack39+201702142246~ubuntu14.04.1 DKMS files...
First Installation: checking all kernels...
Building only for 3.13.0-57-generic
Building initial module for 3.13.0-57-generic
Error! Build of lttng-probe-i2c.ko failed for: 3.13.0-57-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/lttng-modules/2.9.x+stable+bzr988+pack39+201702142246~ubuntu14.04.1/build/ for more information.
Setting up lttng-tools (2.9.x+stable+bzr3683+pack23+201702210801~ubuntu14.04.1) ...
lttng-sessiond start/running, process 17814
Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
Processing triggers for ureadahead (0.100.0-16) ...


Files

make.log (23.7 KB) make.log Bernd Hufmann, 02/24/2017 02:51 PM
#1

Updated by Michael Jeanson about 3 years ago

I've just started a fixed build in the stable ppa, it should be available soon.

Short story is the dkms configuration was trying to install the i2c-probe for all kernel versions but it's only built on 3.15 and up.

#2

Updated by Michael Jeanson about 3 years ago

  • Assignee set to Michael Jeanson
#3

Updated by Michael Jeanson about 3 years ago

  • Status changed from New to Resolved

Also available in: Atom PDF